#!groovy

String sigasiVeresta = '/home/wmeeus/product/veresta-current/veresta'

pipeline {
    agent 'any'

    environment {
        SIGASI_LM_LICENSE_FILE = '27040@elvis'
    }

    // stages {
    //     stage('Veresta Simple Verify') {
    //         steps {
    //             sh """
    //                 ${sigasiVeresta} verify --fail-on-error .
    //             """
    //         }
    //     }
    // }
    stages {
        stage('Veresta Verify') {
            steps {
                sh """
                    ${sigasiVeresta} verify --warnings-ng --fail-on-error -o sigasi-verify.xml .
                """
            }
        }
    }
    post {
        // Report Veresta errors and warnings to Jenkins' Warnings-NG plugin
        always {
            archiveArtifacts artifacts: 'sigasi-verify.xml'
            recordIssues(
                enabledForFailure: true,
                aggregatingResults: true,
                tool: issues(pattern: 'sigasi-verify.xml', analysisModelId: 'sigasi')
            )
        }
    }
}
